;*****************************************************************************
;   ROUTINE TO SPEW SINGLE CHARACTERS -- BOOTS FROM EEPROM
;   THIS VERSION FOR USE WITH BASE DSP PCB v3 [SINGLE FIBER VERSION]
;   COMPILE WITH  ASM56300 -A -B -V  filename
;                 SREC -BS -A3 -OP:2 filename
;   then add      S20A000000003000000000C5 as 2nd line of .s file
;   then load into eeprom
;*****************************************************************************
    PAGE    110,60,1,1
    TABS    4
;*****************************************************************************
;   DEFINITIONS & POINTERS
;*****************************************************************************
START       EQU     $000200                 ; program start location
PCRC        EQU     $FFFFBF                 ; Port C (ESSI_0) control reg
PCTL        EQU     $FFFFFD                 ; PLL control register
PDRB        EQU     $FFFFC9                 ; Port B (HOST) GPIO data
PRRB        EQU     $FFFFC8                 ; Port B (HOST) GPIO direction
PCRB        EQU     $FFFFC4                 ; Port B (HOST) control register
AAR3        EQU     $FFFFF6                 ; Address attribute register 3
BCR         EQU     $FFFFFB                 ; Bus control register

TXREG       EQU     $FFFF89                 ; Transmit Data Register
RXREG       EQU     $FFFF8A                 ; Transmit Data Register
SEQREG      EQU     $FFFF88                 ; Sequence register

            ORG     P:$0
            JMP     START

            ORG     P:START
PLL_SETUP   MOVEP   #>$078007,X:PCTL        ; set PLL parameters
            MOVE    #>$88,X0
            MOVE    #>$77,X1

EXT_SETUP   MOVEP   #>$FFFC21,X:AAR3        ; PERIPH $FFF000--$FFFFFF
            MOVEP   #>$073FE1,X:BCR         ; Set periph wait states
            MOVEP   #>3,Y:<<SEQREG          ; Set seqreg safe state

PORTB_SETUP MOVEP   #>$1,X:PCRB             ; set PB[15..0] GPIO
            MOVEP   #>$FF,X:PRRB            ; TM GAIN /EN485 .. OPT3V
            MOVEP   #>$0,X:PDRB             ; disable RS485

SSI_SETUP   MOVEP   #>$0,X:PCRC             ; disable ESSI

MAIN        MOVE    X0,Y:TXREG              ; transmit bits 15..0
            REP     #$1F                    ; wait
            NOP

            JMP     MAIN

            END
